> For the complete documentation index, see [llms.txt](https://docs.t1ger.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.t1ger.net/resources/t1ger-tuning-system/api/client.md).

# Client

## Exports

### Is Player Tuner

Returns whether the player is tuner or not. If tuner it also returns the shopId.

```lua
exports['t1ger_tuningsystem']:IsPlayerTuner()
-- returns boolean(true/false). If true, also returns INT (shopId)
-- Example:
local isTuner, shopId = exports['t1ger_tuningsystem']:IsPlayerTuner()
```

**Returns:**

* Boolean(true/false)
* INT(shopId) - only returns if boolean is true

### **Get Item Info**

```lua
exports['t1ger_tuningsystem']:GetItemInfo(itemName)
-- itemName (string): the name of the item
-- Example:
local itemInfo = exports['t1ger_tuningsystem']:GetItemInfo(itemName)
```

**Returns:**

* Table(name, label, price, icon)

### **Get Vehicle Nitrous Properties**

```lua
exports['t1ger_tuningsystem']:GetVehicleNitrousProperties(vehicle)
-- vehicle(int): entity handle for the vehicle
-- Example:
local nitrous = exports['t1ger_tuningsystem']:GetVehicleNitrousProperties(vehicle)
```

**Returns:**

* Table(size, shots, burst, color)

### **Get Vehicle Dyno Properties**

```lua
exports['t1ger_tuningsystem']:GetVehicleDynoProperties(vehicle)
-- vehicle(int): entity handle for the vehicle
-- Example:
local dyno = exports['t1ger_tuningsystem']:GetVehicleDynoProperties(vehicle)
```

**Returns:**

* Table(torque, power, brakes)

## Events

### Add Account Money

Adds x money to the given account.

```lua
TriggerServerEvent('tuningsystem:server:addAccountMoney', shopId, amount)
-- shopId(INT): tuner shop id
-- amount(INT): amount of money to add to the account
```

### Remove Account Money

Removes x money from the given account.

```lua
TriggerServerEvent('tuningsystem:server:removeAccountMoney', shopId, amount)
-- shopId(INT): tuner shop id
-- amount(INT): amount of money to remove from the account
```

### Set Account Money

Sets the account balance of the given account to x.

```lua
TriggerServerEvent('tuningsystem:server:setAccountMoney', shopId, amount)
-- shopId(INT): tuner shop id
-- amount(INT): amount of money to set the new account balance to.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.t1ger.net/resources/t1ger-tuning-system/api/client.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
